---
title: llarp::dht::TXOwner

---

# llarp::dht::TXOwner





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md#function-txowner)**() =default |
| | **[TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md#function-txowner)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & ) =default |
| | **[TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md#function-txowner)**([TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) && ) =default |
| [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & | **[operator=](Classes/structllarp_1_1dht_1_1TXOwner.md#function-operator=)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & ) =default |
| | **[TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md#function-txowner)**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & k, uint64_t id) |
| util::StatusObject | **[ExtractStatus](Classes/structllarp_1_1dht_1_1TXOwner.md#function-extractstatus)**() const |
| bool | **[operator==](Classes/structllarp_1_1dht_1_1TXOwner.md#function-operator==)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & other) const |
| bool | **[operator<](Classes/structllarp_1_1dht_1_1TXOwner.md#function-operator<)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & other) const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) | **[node](Classes/structllarp_1_1dht_1_1TXOwner.md#variable-node)**  |
| uint64_t | **[txid](Classes/structllarp_1_1dht_1_1TXOwner.md#variable-txid)**  |

## Public Functions Documentation

### function TXOwner

```cpp
TXOwner() =default
```


### function TXOwner

```cpp
TXOwner(
    const TXOwner & 
) =default
```


### function TXOwner

```cpp
TXOwner(
    TXOwner && 
) =default
```


### function operator=

```cpp
TXOwner & operator=(
    const TXOwner & 
) =default
```


### function TXOwner

```cpp
inline TXOwner(
    const Key_t & k,
    uint64_t id
)
```


### function ExtractStatus

```cpp
inline util::StatusObject ExtractStatus() const
```


### function operator==

```cpp
inline bool operator==(
    const TXOwner & other
) const
```


### function operator<

```cpp
inline bool operator<(
    const TXOwner & other
) const
```


## Public Attributes Documentation

### variable node

```cpp
Key_t node;
```


### variable txid

```cpp
uint64_t txid = 0;
```


-------------------------------

Updated on 2023-06-06 at 21:47:58 +0000